Subject: Re: Cranberry juice capsules for UTI?

From: [email-masked] ()
Date: 5 Sep 1995 12:35:25 GMT

In article <[email-masked]> [email-masked] (Lilith667) writes:
>Katharine Garstka ([email-masked]) wrote:
>: A lot of people say taking cranberry juice capsules prevents bladder or 
>: UT infections, but what sort of dosage is recommended? How many 
>: mgs per day?
>: Thanks!!
>
>I have had success with Nature's Plus Ultra Cranberry 1000.  It has 1000 
>mg per tablet plus 100 mg Vit C, Juniper Berries, Parsley, Uva-Ursi and 
>Red Clover and is time-released.  I try to take one a day for 
>prevention, two a day if I actually end up getting an infection (usually 
>happens when I think I'm safe and can stop taking the 
>cranberry--infection shows up within a few months).
>
>Here's another question.  What could I possibly be doing to be so prone 
>to these darn things?  I drink PLENTY of water daily, stopped using my 
>diaphragm and spermicides (which seemed to cause them, but left me with 
>another problem) and keep up with vit C supplements... what's a girl to 
>do??  Doctors give me Amoxicillin, which gives me HORRIBLE yeast 
>infection.  There's got to be another way!
>-- 
>~~~~~~~~~~~~~~~~~~~~~~~~~~
>Lynne O'Connor
>[email-masked]
>
>~~~~~~~~~~~~~~~~~~~~~~~~~~

A female gynecologist-urologist (one of very few in the nation)
reported on Dr. Hoffman's show on WOR radio that this
condition is related to a misaligned spine in the lumbar area.
The suggested going to a chiropractor with a Layton (sp?) table
who is familiar with how to treat this disorder.
margaret
-- 
[email-masked]